=== debian/changelog ===
ros-melodic-play-motion (0.4.8-1stretch) stretch; urgency=high

  * Fixes for shadowed variables
  * Contributors: Jordan Palacios

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Sun, 08 Sep 2019 22:00:00 -0000

ros-melodic-play-motion (0.4.7-1stretch) stretch; urgency=high

  * Merge branch 'melodic_fixes' into 'erbium-devel'
    changes for melodic deprecated MoveGroup (was renamed to MoveGroupInterface)
    See merge request app-tools/play_motion!5
  * changes for melodic deprecated MoveGroup (was renamed to MoveGroupInterface)
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 21 May 2019 22:00:00 -0000

ros-melodic-play-motion (0.4.6-1stretch) stretch; urgency=high

  * Merge branch 'use-weak-ref' into 'erbium-devel'
    Fix error when changing controllers during a motion
    See merge request app-tools/play_motion!4
  * Fix error when changing controllers during a motion
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 27 Sep 2018 22:00:00 -0000

ros-melodic-play-motion (0.4.5-1stretch) stretch; urgency=high

  * fixed merge
  * 0.4.4
  * updated changelog
  * added missing joint trajectory controller for test
  * added missing position_controllers test
  * added missing xacro test depend
  * migration to kinetic
  * added extra test dependencies
  * added gitignore and update new ros_control kinetic compatibility
  * Contributors: Hilario Tome, Hilario Tomé

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 10 Jan 2018 23:00:00 -0000

ros-melodic-play-motion (0.4.4-1stretch) stretch; urgency=high

  * Update changelog
  * Merge branch 'add-run-motion' into 'cobalt-devel'
    add command line run_motion executables
    See merge request app-tools/play_motion!3
  * add command line run_motion executables
  * Contributors: Jordi Pages, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Wed, 22 Nov 2017 23:00:00 -0000

ros-melodic-play-motion (0.4.3-1stretch) stretch; urgency=high

  * Update changelog
  * Add play_motion continuous test
    fixes #6967
  * Migrate package to format 2, catkin lint fixes
  * Contributors: Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Tue, 29 Mar 2016 22:00:00 -0000

ros-melodic-play-motion (0.4.2-1stretch) stretch; urgency=high

  * Update changelog
  * Merge branch 'fix_malformed_motion_crash' into 'cobalt-devel'
    Fix Malformed Motion Crash
    As explained in ticket:
    https://redmine/issues/12188
    Trying to make a new movement I mistakenly populated too short an array of positions and I crashed (consistently) play_motion.
    This gave the error (assert):
    ```
    play_motion: /tmp/buildd/play-motion-0.4.1/play_motion/src/play_motion_helpers.cpp:142: void play_motion::populateVelocities(const TrajPoint&, const TrajPoint&, play_motion::TrajPoint&): Assertion `num_joints == point_prev.positions.size() && num_joints == point_next.positions.size()' failed.
    ```
    This fixes it by throwing an exception instead.
  * Fix crash when malformed motion was requested
    It was an assert before, now it throws an exception. Added also a test.
  * Contributors: Sammy Pfeiffer, Victor Lopez

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Mon, 16 Nov 2015 23:00:00 -0000

ros-melodic-play-motion (0.4.1-1stretch) stretch; urgency=high

  * Update changelogs
  * Update package maintainer/authors
  * Merge pull request #45 from v-lopez/add-depender-exports
    Add missing configuration for depender projects
  * Add missing configuration for depender projects
  * Merge pull request #44 from bmagyar/convenience_functions
    Convenience functions
  * Refactor argument names to convention
  * Add function alternatives where NodeHandle defaults to one of play_motion
  * Merge pull request #43 from dpinol/debugging_error0
    Log error when error code is 0
  * log error when core is 0
  * Merge pull request #42 from pal-robotics/min-approach-dur
    Add new optional config parameter.
  * Add default values and units to sample config.
  * Add new optional config parameter.
    Add new parameter to configure the minimum approach time to use when
    skip_planning = true.
    If we time-parameterize trajectories using MoveIt's built-in methods, we'd
    be able to get rid of this additional parameter, but in the meantime, it
    addresses an important issue.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Bence Magyar, Daniel Pinyol, Paul Mathieu, Víctor López

 -- Victor Lopez <victor.lopez@pal-robotics.com>  Thu, 20 Nov 2014 23:00:00 -0000

ros-melodic-play-motion (0.4.0-1stretch) stretch; urgency=high

  * Update changelogs
  * Merge pull request #40 from pal-robotics/add-install-rule
    Add install() rule for headers
  * Add install() rule for headers
  * Template specialization must be marked as inline
    ... if we want to include it in multiple source files
  * Merge pull request #29 from pal-robotics/cast-bug
    Allow cast from int to double in xmlrpc helpers
  * Fetch time_from_start as a double
    This will trigger the template specialization of the previous commit
    Fixes #28
  * Merge pull request #36 from pal-robotics/motion-planning
    MoveIt! integration
  * Update README and sample config files
  * Simplify how to disable motion planning.
    - Move disable_motion_planning param to play_motion's namespace, instead of
    nesting it inside approach_planner.
    - Update tests to exercise this behavior.
  * Make tests build cleanly and pass.
    - Add additional config to force no motion planning in existing tests.
    - Fix compiler warnings.
    - Lift test timeout. Otherwise as the test suite increases we'll need to
    keep on tweaking the value. Timeout errors are highly non-descriptive.
  * Allow to disable motion planning altogether.
    - Setting '~/approach_planner/disable_motion_planning=true' will cause
    play_motion to not initialize its motion planning instances.

