=== debian/control ===
Source: ros-melodic-play-motion
Section: misc
Priority: optional
Maintainer: Victor Lopez <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-controller-manager, ros-melodic-controller-manager-msgs, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-hardware-interface, ros-melodic-joint-state-controller, ros-melodic-joint-trajectory-controller, ros-melodic-moveit-ros-planning-interface, ros-melodic-play-motion-msgs, ros-melodic-position-controllers, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-play-motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-control-msgs, ros-melodic-controller-manager-msgs, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-moveit-ros-planning-interface, ros-melodic-play-motion-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: Plays a pre-recorded motion on a robot
